> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a reaction from a comment on a finding in a repository.

> # Access control rules

- The requester must have access to the repository.
- Any user with (read) access to the comment can react to it.



## OpenAPI

````yaml DELETE /api/v0/repositories/{repo_id}/findings/{finding_ref}/comment/{comment_id}/react
openapi: 3.1.0
info:
  title: Cantina Client API
  description: >-
    Endpoints available to client organizations. For an overview and
    authentication, see
    https://docs.cantina.xyz/for-organizations/getting-started/api-access.
  license:
    name: Cantina
    identifier: Cantina
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/repositories/{repo_id}/findings/{finding_ref}/comment/{comment_id}/react:
    delete:
      tags:
        - repositories
      summary: Delete a reaction from a comment on a finding in a repository.
      description: |-
        # Access control rules

        - The requester must have access to the repository.
        - Any user with (read) access to the comment can react to it.
      operationId: delete_reaction_to_comment_on_finding
      parameters:
        - name: repo_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: finding_ref
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/FindingRef'
        - name: comment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteCommentReaction'
        required: true
      responses:
        '200':
          description: Reaction deleted, returns the current list of reactions
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CommentReaction'
        '400':
          description: Deletion is invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '401':
          description: Access not authorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '403':
          description: Access forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
components:
  schemas:
    FindingRef:
      oneOf:
        - type: string
          format: uuid
          description: Finding id.
        - type: integer
          format: int32
          description: Finding number.
      description: Reference to a finding, either a finding id or finding number.
    DeleteCommentReaction:
      type: object
      description: Delete a reaction to a comment.
      required:
        - reaction
      properties:
        reaction:
          type: string
          description: Reaction, e.g. a unicode emoji such as `😄`.
    CommentReaction:
      type: object
      description: Reaction to a comment.
      required:
        - reaction
        - users
      properties:
        reaction:
          type: string
          description: Reaction, e.g. a unicode emoji such as `👍`.
        users:
          type: array
          items:
            $ref: '#/components/schemas/CommentReactionUser'
          description: Users that reacted with this reaction.
    CantinaError:
      type: object
      description: Error returned by the Cantina API.
      required:
        - type
        - msg
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        msg:
          type: string
          description: Error message for the user.
    CommentReactionUser:
      type: object
      description: User that posted a reaction to a comment.
      required:
        - id
        - name
      properties:
        id:
          type: string
          format: uuid
          description: User id.
        name:
          type: string
          description: Name of the user (NOTE **not** username).
    ErrorType:
      type: string
      description: Type of error.
      enum:
        - email_not_verified
        - auth_invalid
        - auth_expired
        - auth_token_missing
        - auth_id_missing
        - invalid_password
        - disabled_user
        - tc_not_accepted
        - evicted
        - unauthorized
        - bad_request
        - not_found
        - forbidden
        - gone
        - payload_too_large
        - service_unavailable
        - internal_error

````